# 基于centos7
FROM ccr.ccs.tencentyun.com/qg-qa/openresty1.13

WORKDIR /home/quant_group

#  拷贝nginx配置
COPY lua/*.lua /usr/local/openresty/nginx/lua/
ARG CONFIG=default.conf
COPY conf/nginx.conf /usr/local/openresty/nginx/conf/
COPY conf/${CONFIG} /usr/local/openresty/nginx/conf/conf.d/
COPY ./*tgz /home/quant_group/
COPY ./Ra6UCOeIhV.txt ./h5-ui/dist/
COPY ./Ra6UCOeIhV.txt ./mall-free-ui/dist/
COPY ./Ra6UCOeIhV.txt ./vcc-spider-center-ui/dist/
COPY ./Ra6UCOeIhV.txt ./tenet-ui/dist/
COPY ./Ra6UCOeIhV.txt ./vcc-ui/dist/
COPY ./Ra6UCOeIhV.txt ./new-paycenter-ui/dist/
COPY ./Ra6UCOeIhV.txt ./cauchy-ui/dist/
COPY ./Ra6UCOeIhV.txt ./group-buy-ui/dist/

COPY ./FZz8NUb3x0.txt ./h5-ui/dist/
COPY ./FZz8NUb3x0.txt ./mall-free-ui/dist/
COPY ./FZz8NUb3x0.txt ./vcc-spider-center-ui/dist/
COPY ./FZz8NUb3x0.txt ./tenet-ui/dist/
COPY ./FZz8NUb3x0.txt ./vcc-ui/dist/
COPY ./FZz8NUb3x0.txt ./new-paycenter-ui/dist/
COPY ./MP_verify_f4VWFoFpHgzmqFbo.txt ./group-buy-ui/

COPY ./gAnCcSGwFu.txt ./h5-ui/dist/
COPY ./gAnCcSGwFu.txt ./mall-free-ui/dist/
COPY ./gAnCcSGwFu.txt ./vcc-spider-center-ui/dist/
COPY ./gAnCcSGwFu.txt ./tenet-ui/dist/
COPY ./gAnCcSGwFu.txt ./vcc-ui/dist/
COPY ./gAnCcSGwFu.txt ./new-paycenter-ui/dist/
COPY ./gAnCcSGwFu.txt  ./cauchy-ui/dist/
COPY ./MP_verify_f4VWFoFpHgzmqFbo.txt ./group-buy-ui/







ARG BUILD_SCHEMA
ENV BUILD_SCHEMA=$BUILD_SCHEMA
ARG SYSTEM_NAME
ENV SYSTEM_NAME=$SYSTEM_NAME

RUN echo -e "${BUILD_SCHEMA//@/\n}" >> ./build_info

COPY readyCheck.sh .
COPY docker-entrypoint.sh .
RUN chmod +x ./docker-entrypoint.sh
CMD ./docker-entrypoint.sh